package com.sun.jndi.ldap;

import javax.naming.directory.BasicAttributes;
import javax.naming.ldap.Control;
import java.util.Vector;

public final class LdapResult
{
    int msgId;
    public int status;
    String matchedDN;
    String errorMessage;
    Vector<Vector<String>> referrals;
    LdapReferralException refEx;
    Vector<LdapEntry> entries;
    Vector<Control> resControls;
    public byte[] serverCreds;
    String extensionId;
    byte[] extensionValue;
    
    public LdapResult() {
        this.referrals = null;
        this.refEx = null;
        this.entries = null;
        this.resControls = null;
        this.serverCreds = null;
        this.extensionId = null;
        this.extensionValue = null;
    }
    
    boolean compareToSearchResult(String s) {
        int n;
        switch (this.status) {
            case 6: {
                this.status = 0;
                (this.entries = new Vector(1, 1)).addElement(new LdapEntry(s, new BasicAttributes(true)));
                n = true;
                break;
            }
            case 5: {
                this.status = 0;
                this.entries = new Vector(0);
                n = true;
                break;
            }
            default: {
                n = false;
                break;
            }
        }
        return n;
    }
}
